Package org.eclipse.mat.query

## Class ContextDerivedData.DerivedColumn

- java.lang.Object
- - org.eclipse.mat.query.ContextDerivedData.DerivedColumn

Enclosing class:
  ContextDerivedData

    public static final class ContextDerivedData.DerivedColumn
    extends Object

A column of data derived from the existing data. An example might be retained sizes.

### Constructor Summary

Constructors
`DerivedColumn​(String label, ContextDerivedData.DerivedOperation... operations)` A derived column.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLabel()` The label for the column.
`ContextDerivedData.DerivedOperation[]` `getOperations()` Possible operations to generate the column values.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DerivedColumn

    public DerivedColumn​(String label,
                         ContextDerivedData.DerivedOperation... operations)

A derived column. Operations might include ways of calculating the column, such as approximate or precise retained sizes.

Parameters:
  `label` - a label for the column
  `operations` - ways of calculating the column

### Method Detail

#### getLabel

    public String getLabel()

The label for the column.

Returns:
  the label

#### getOperations

    public ContextDerivedData.DerivedOperation[] getOperations()

Possible operations to generate the column values. Do not modify the returned array.

Returns:
  an array of operations